#!/usr/local/bin/ruby

require "nkf"
require "net/pop"

$: << ENV["HOME"]
require ".msgchkrc"


raise "$user and $pass should be specified." unless $user or $pass

$server = "localhost" unless $server
$port = 110 unless $port

Net::POP3.start($server, $port, $user, $pass) do
  |ps|
  pm = ps.mails
  if pm.size == 0
    puts "no mails."
    exit 0
  end

  pm.each do
    |m|
    head = []
    $/ = "\r\n"
    oh = ""
    m.header.each do
      |h|
      h.chomp!
      case h
      when /^From:|^Subject:/
	head << h
	oh = h
      when /^\s+(\S.*)/
	oh << " "+$1
      when /^[A-Z].*:/
	oh = h
      else
	break
      end
    end
    head.sort!
    head = NKF::nkf("-me", head.join("\n"))
    puts head
    puts
  end
end
